Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 163593 - radvd looking for config file in bad place
Summary: radvd looking for config file in bad place
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: radvd
Version: 4
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Jason Vas Dias
QA Contact: Ben Levenson
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-07-19 11:05 UTC by Petr Krištof
Modified: 2007-11-30 22:11 UTC (History)
1 user (show)

Fixed In Version: 0.8-2
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2005-08-19 08:38:36 UTC


Attachments (Terms of Use)
Define --prefix= to configure (deleted)
2005-07-19 11:19 UTC, Petr Krištof
no flags Details | Diff

Description Petr Krištof 2005-07-19 11:05:40 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.8) Gecko/20050513 Fedora/1.7.8-1.3.1

Description of problem:
After upgrade from radvd-0.7.3-1_FC4 -> radvd-0.8-1.FC4
radvd stops work.

New radvd is looking for config file in /usr/local/etc/ directory
while right place for config file is /etc directory

I guess the new package was compiled without correct
%configure --sysconfdir= option


Version-Release number of selected component (if applicable):
radvd-0.8-1.FC4

How reproducible:
Always

Steps to Reproduce:
1. upgrade to radvd-0.8-1.FC4
2. service radvd restart

  

Actual Results:  Service fails with error:

Jul 19 12:46:26server radvd[2286]: version 0.8 started
Jul 19 12:46:26 server radvd[2286]: can't open /usr/local/etc/radvd.conf:
No such file or directory

Expected Results:  Service should startup.

Additional info:

Temporary workaround is to modify /etc/sysconfig/radvd to
OPTIONS="-u radvd -C /etc/radvd.conf"

Comment 1 Petr Krištof 2005-07-19 11:19:24 UTC
Created attachment 116921 [details]
Define --prefix= to configure

Comment 2 Jason Vas Dias 2005-07-19 16:49:45 UTC
This bug is now fixed with radvd-0.8-2.FC4 .

Comment 3 Petr Krištof 2005-07-19 17:02:33 UTC
Verified.

Package radvd-0.8-2.FC4 work fine.
Thanks for quick response.



Note You need to log in before you can comment on or make changes to this bug.